---
title: "Legal notice and privacy"
---

## Contact information

Robert Kaussow\
Email: [contact@thegeeklab.de](mailto:contact@thegeeklab.de)

## Privacy policy

### Collection of general data and information

The website thegeekdocs.de collects a series of general data and information when a data subject or automated system calls up the website. This general data and information are stored in the server log files. Collected may be:

- the browser types and versions used
- the operating system used by the accessing system
- the website from which an accessing system reaches our website (so-called referrers)
- the sub-websites
- the date and time of access to the Internet site
- an Internet protocol address (IP address)
- the Internet service provider of the accessing system
- any other similar data and information that may be used in the event of attacks on our information technology systems

When using these general data and information, we do not draw any conclusions about the data subject. Rather, this information is needed to deliver the content of our website correctly and answer your request (Article 6.1b [GDPR](https://gdpr-info.eu/art-6-gdpr/)).

Your IP address and the requested URL can be stored up to 7 days due to analyze possible problems with the web page. Given that a problem appears there are cases, where it is possible that this information is stored longer than 7 days to analyze the problem in depth. They will be deleted as soon as it is confirmed that they can no further help with diagnosing the problem or the problem is solved. (Article 6.1f [GDPR](https://gdpr-info.eu/art-6-gdpr/)).

### Cookies

This web page does not use any cookies.
