---
title: "Welcome (back)"
date: 2020-07-21T23:00:08+02:00
aliases:
  - /posts/welcome/
authors:
  - robert-kaussow
tags:
  - General
resources:
  - name: feature
    src: "images/feature.jpg"
    params:
      anchor: Center
      credits: >
        [Sabri Tuzcu](https://unsplash.com/@sabrituzcu) on
        [Unsplash](https://unsplash.com/s/photos/coffee-headphone)
---

As some former readers may have noticed, "geeklabor.de" has been renamed to "thegeeklab.de", welcome back nice to have you here again. If you are a first time visitor, a very warm welcome goes to you as well. This is my private blog, where I write about everything that comes to my mind but mainly about topics from the Linux and Open Source world.

<!--more-->

For those of you who are interested in the backgrounds about the blog migration, here you go:

- my old theme had to be reworked, [hugo-geekblog](https://github.com/thegeeklab/hugo-geekblog) was born
  - looks pretty much the same as before but with a more up to date technical implementation
  - works with recent Hugo versions
  - fully Open Source
- "geeklabor.de" does only work in German language, "thegeeklab.de" is bit more international
- the same applies to the entire blog, all content is only available in English for two simple reasons
  - English works for a lot more people
  - I am too lazy to provide posts in multiple languages
- the blog is running on a Hetzner Cloud machine; CI driven and using Minio S3 backend

That is a short summary right now. While I am currently still working on some remaining migration tasks, there will be more fresh posts during the next weeks - stay tuned!
